# Lists and Tags

Why does Simpletask use Lists and Tags?

## Contexts vs Lists

Instead of the contexts and projects in todo.txt, simpletask calls `@something`
a list and `+something` a tag. Why was this chosen, isn't GTD all about
contexts?

Well no actually. Even though this is not as clearly articulated in the original
Getting Things Done book as it could be, in GTD the main organizing element is
the list. Some of these lists contain next actions for a certain context (e.g.
@computer) but some don't (e.g. Projects or Waiting For).

So even though a lot of the lists in GTD will contain next actions for
a certain context, this doesn't imply that context is the main organizing
element (e.g. Waiting For is not a context)

## Projects vs Tags

Projects are renamed to tags because tags is a more general concept. A tag can
be anything from a project to a person's name. This allows using tasks like:

`@Call +DavidAllen regarding +GTD`

In this case neither of the tags are projects.
